<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- xet-02 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" >
<table width="100%"  border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
	<tr>
	    <td width="65" height="290" valign="top" style="background-image: url('images/header_left.gif');"><img src="images/header_top_left.gif" width="65" height="100"/></td>
	    <td>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="100" valign="bottom" style="background-image: url('images/header_top_bg.gif');">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td style="background-image: url('images/top_left.gif'); background-repeat: no-repeat;">
									<table width="100%" border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td style="background-image :url(images/top_right.gif); background-position: right; background-repeat: no-repeat;">
										        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
													<tr>
														<!--LOGO-->
														<td width="37" height="55" style="padding-left: 10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
														<!--END LOGO-->
														<td height="55" align="left" style="padding-left: 10px; padding-bottom:5px;" valign="bottom">
															<table width="100%"  border="0" cellspacing="0" cellpadding="0">
																<tr>
																	<!--COMPANY-->
																	<td height="23" class="company" style="padding-bottom:1px;">
																		<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
																	</td>
																	<!--END COMPANY-->
																</tr>
																<tr>
																	<!--SLOGAN-->
																	<td height="16" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
																	<!--SLOGAN-->
																</tr>
												            </table>
														</td>
														<td valign="bottom" align="right" style="padding-bottom:15px;padding-left:2px;" class="url"><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></td>
													</tr>
												</table>
										    </td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>          
				</tr>
				<tr>
					<td height="190" align="center" style="background-image: url('images/header_link.jpg');"><img src="images/header.jpg" width="569" height="190"/></td>
				</tr>
		    </table>
		</td>
	    <td width="66" height="290" valign="top" style="background-image: url('images/header_right.gif');"><img src="images/header_top_right.gif" width="66" height="100"/></td>
	</tr>
	<tr>
		<td width="65" height="100%" valign="top" style="background-image: url('images/left.gif');"><img src="images/menu_left.gif" width="65" height="55"/></td>
		<td>
			<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
				<tr>
					<td height="29" style="background-image: url('images/menu_bg.gif'); padding-left: 3px;" align="left">
						<table  border="0" cellspacing="0" cellpadding="0">
							<tr>
							<!--MENU-->
								<xsl:call-template name="TOP-MENU"/>
							<!--END MENU-->
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="26" style="background-image: url('images/menu_bottom.gif');"></td>
				</tr>
				<tr>
					<td height="100%">
						<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
							<tr>
								<td width="19" height="19" style="background-image: url('images/submenu_top_left.gif');"></td>
					            <td width="159" height="19" style="background-image: url('images/submenu_top.gif');"></td>
					            <td width="16" height="19" style="background-image: url('images/submenu_top_right.gif');"></td>
					            <td width="7" height="19" style="background-image: url('images/middle_hr.gif');"></td>
					            <td width="19" height="19" style="background-image: url('images/submenu_top_left.gif');"></td>
					            <td height="19" style="background-image: url('images/submenu_top.gif');"></td>
					            <td width="16" height="19" style="background-image: url('images/submenu_top_right.gif');"></td>
							</tr>
							<tr>
								<td width="19" height="100%" style="background-image: url('images/submenu_left.gif');"><div style="width: 19px; height: 0;"><span></span></div></td>
								<td width="159" valign="top" style="background-image: url('images/content_bg.gif'); padding: 5px 0 8px 8px;">
									<div style="width: 139px; height: 0;"><span></span></div>
									<table width="100%"  border="0" cellspacing="0" cellpadding="0">
							            <!--SUBMENU-->
										<xsl:call-template name="SUB-MENU">
											<xsl:with-param name="pageID" select="@ID"/>                            
										</xsl:call-template>   
										<!--END SUBMENU-->
									</table>        
								</td>
								<td width="16" style="background-image: url('images/submenu_right.gif');"><div style="width: 16px; height: 0;"><span></span></div></td>
					            <td width="7" style="background-image: url('images/middle_hr.gif');"></td>
					            <td width="19" style="background-image: url('images/submenu_left.gif');"></td>
					            <td valign="top" style="background-image: url('images/content_bg.gif'); padding: 15px 10px 0 10px;">
									<div style="width: 440px; height: 0;"><span></span></div>
									<table  border="0" cellspacing="0" cellpadding="0">
										<tr>
											<!--TEXT-HEADER-->
											<td class="text-header" style="padding-right:4px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
											<td align="left" style="padding-left:10px;"><img src="images/txtheader_bullet.gif" width="17" height="17"/></td>
											<!--END TEXT-HEADER-->
										</tr>
									</table>
									<table width="100%"  border="0" cellspacing="0" cellpadding="0">
										<!--CONTENT-->
										<tr>
											<td class="pageContent" style="padding-top:3px;">
												<table width="100%"  border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
													</tr>
												</table>
											</td>
										</tr>
										<!--END CONTENT-->
									</table>
								</td>
								<td width="16" style="background-image: url('images/submenu_left.gif');"></td>
							</tr>
							<tr>
								<td width="19" height="29" style="background-image: url('images/submenu_bottom_left.gif');"></td>
					            <td width="159px" height="29px" style="background-image: url('images/submenu_bottom.gif');"></td>
					            <td width="16px" height="29px" style="background-image: url('images/submenu_bottom_right.gif');"></td>
					            <td width="7px" height="29px" style="background-image: url('images/middle_hr.gif');"></td>
					            <td width="19px" height="29px" style="background-image: url('images/submenu_bottom_left.gif');"></td>
					            <td height="29px" style="background-image: url('images/submenu_bottom.gif');"></td>
					            <td width="16px" height="29px" style="background-image: url('images/submenu_bottom_right.gif');"></td>
					        </tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	    <td width="66" valign="top" style="background-image: url('images/right.gif');"><img src="images/menu_right.gif" width="66" height="55"/></td>
	</tr>
	<tr align="center" valign="top">
		<td height="95" colspan="3" style="background-image: url(images/footer_bg.gif);">
		    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
				<tr>
					<!--FOOTER-->
					<td height="30" align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
					<!--END FOOTER-->
				</tr>
		    </table>
		</td>
	</tr>
</table>
</body>
</html>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>

<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<tr>
                <td width="10px" height="30px"><img src="images/submenu_bullet.gif" width="6px" height="5px" border="0"/></td>
                <td class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
                <td width="10px" height="30px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="6px" height="5px" border="0"/></a></td>
                <td><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
		
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	


	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>